Package com.oracle.nosql.spring.data.repository.support

# Class ReactiveNosqlRepositoryFactoryBean<T extends org.springframework.data.repository.Repository<S,K>,S,K extends Serializable>

java.lang.Object
org.springframework.data.repository.core.support.RepositoryFactoryBeanSupport<T,S,K>
com.oracle.nosql.spring.data.repository.support.ReactiveNosqlRepositoryFactoryBean<T,S,K>

All Implemented Interfaces:
  `org.springframework.beans.factory.Aware`, `org.springframework.beans.factory.BeanClassLoaderAware`, `org.springframework.beans.factory.BeanFactoryAware`, `org.springframework.beans.factory.FactoryBean<T>`, `org.springframework.beans.factory.InitializingBean`, `org.springframework.context.ApplicationContextAware`, `org.springframework.context.ApplicationEventPublisherAware`, `org.springframework.context.EnvironmentAware`, `org.springframework.data.repository.core.support.RepositoryFactoryInformation<S,K>`

public class ReactiveNosqlRepositoryFactoryBean<T extends org.springframework.data.repository.Repository<S,K>,S,K extends Serializable> extends org.springframework.data.repository.core.support.RepositoryFactoryBeanSupport<T,S,K> implements org.springframework.context.ApplicationContextAware

- ## Field Summary

  ### Fields inherited from interface org.springframework.beans.factory.FactoryBean

  `OBJECT_TYPE_ATTRIBUTE`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ReactiveNosqlRepositoryFactoryBean(Class<? extends T> repositoryInterface)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `afterPropertiesSet()`
  `protected final org.springframework.data.repository.core.support.RepositoryFactorySupport`
  `createRepositoryFactory()`
  `protected org.springframework.data.repository.core.support.RepositoryFactorySupport`
  `getFactoryInstance(org.springframework.context.ApplicationContext applicationContext)`
  `void`
  `setApplicationContext(org.springframework.context.ApplicationContext applicationContext)`
  `protected void`
  `setMappingContext(org.springframework.data.mapping.context.MappingContext<?,?> mappingContext)`
  `void`
  `setReactiveNosqlOperations(ReactiveNosqlOperations operations)`

  ### Methods inherited from class org.springframework.data.repository.core.support.RepositoryFactoryBeanSupport

  `addRepositoryFactoryCustomizer, createDefaultEvaluationContextProvider, createDefaultQueryMethodEvaluationContextProvider, getEntityInformation, getObject, getObjectType, getPersistentEntity, getQueryMethods, getRepositoryInformation, isSingleton, setApplicationEventPublisher, setBeanClassLoader, setBeanFactory, setCustomImplementation, setEnvironment, setEvaluationContextProvider, setEvaluationContextProvider, setExposeMetadata, setLazyInit, setNamedQueries, setQueryLookupStrategyKey, setRepositoryBaseClass, setRepositoryFragments`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ReactiveNosqlRepositoryFactoryBean

    public ReactiveNosqlRepositoryFactoryBean(Class<? extends T> repositoryInterface)

- ## Method Details

  - ### setReactiveNosqlOperations

    @Autowired public void setReactiveNosqlOperations(ReactiveNosqlOperations operations)

  - ### createRepositoryFactory

    protected final org.springframework.data.repository.core.support.RepositoryFactorySupport createRepositoryFactory()
    Specified by:
      `createRepositoryFactory` in class `org.springframework.data.repository.core.support.RepositoryFactoryBeanSupport<T extends org.springframework.data.repository.Repository<S,K>,S,K extends Serializable>`

  - ### getFactoryInstance

    protected org.springframework.data.repository.core.support.RepositoryFactorySupport getFactoryInstance(org.springframework.context.ApplicationContext applicationContext)

  - ### setApplicationContext

    public void setApplicationContext(org.springframework.context.ApplicationContext applicationContext) throws org.springframework.beans.BeansException
    Specified by:
      `setApplicationContext` in interface `org.springframework.context.ApplicationContextAware`
    Throws:
      `org.springframework.beans.BeansException`

  - ### setMappingContext

    protected void setMappingContext(org.springframework.data.mapping.context.MappingContext<?,?> mappingContext)
    Overrides:
      `setMappingContext` in class `org.springframework.data.repository.core.support.RepositoryFactoryBeanSupport<T extends org.springframework.data.repository.Repository<S,K>,S,K extends Serializable>`

  - ### afterPropertiesSet

    public void afterPropertiesSet()
    Specified by:
      `afterPropertiesSet` in interface `org.springframework.beans.factory.InitializingBean`
    Overrides:
      `afterPropertiesSet` in class `org.springframework.data.repository.core.support.RepositoryFactoryBeanSupport<T extends org.springframework.data.repository.Repository<S,K>,S,K extends Serializable>`